using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Collections.Generic;
using System.ComponentModel;
using Eloquera.Client;

namespace digioz
{
    [Serializable]
    public class RSSFeed
    {
        private int ciFeedId;
        private string csFeedDesc;
        private string csFeedURL;
        private DateTime cdFeedModOn;
        private string csFeedModBy;

        public RSSFeed()
        {
        }

        [Index]
        public int FeedId
        {
            set { ciFeedId = value; }
            get { return ciFeedId; }
        }
        public string FeedDesc
        {
            set { csFeedDesc = value; }
            get { return csFeedDesc; }
        }
        public string FeedURL
        {
            set { csFeedURL = value; }
            get { return csFeedURL; }
        }
        public DateTime FeedModOn
        {
            set { cdFeedModOn = value; }
            get { return cdFeedModOn; }
        }
        public string FeedModBy
        {
            set { csFeedModBy = value; }
            get { return csFeedModBy; }
        }
    }

    public class RSSFeedList : BindingList<RSSFeed>
    {
        public RSSFeedList()
        { }
    }

}

